Recent posts

#11
Runtime/AutoLISP / FlexCell
Last post by Joseph - April 15, 2024, 02:05:52 AM
Hi there.
Does anyone worked with FlexCell activex? https://www.grid2000.com/index.html
It has x64 support and it can be used with opendcl, but I don't know how to manipulate a specific cell, like change value, background color, fore color, etc...

(defun c:flexcelltest/Form1#OnInitialize (/)
        ;These codes are working
(dcl-AxControl-Put flexcelltest/Form1/Grid1 "Rows" 1)
  (dcl-AxControl-Put flexcelltest/Form1/Grid1 "Cols" 5)
  (dcl-AxControl-Put flexcelltest/Form1/Grid1 "DisplayRowNumber" T)
  (dcl-AxControl-Invoke flexcelltest/Form1/Grid1 "AddItem" (strcat "A" "\t" "B" "\t" "C" "\t" "D") T)
  (dcl-AxControl-Invoke flexcelltest/Form1/Grid1 "AddItem" (strcat "A" "\t" "B" "\t" "C" "\t" "D") T)
  (dcl-AxControl-Invoke flexcelltest/Form1/Grid1 "AddItem" (strcat "A" "\t" "B" "\t" "C" "\t" "D") T)

  ;Returns a Cell object as an entity.
  (setq cell (car (dcl-AxControl-Invoke flexcelltest/Form1/Grid1 "Cell" 1 2))
      )

  ;"Text" is a cell object property based on FlexCell documentaion. "Text" returns or sets the content of a given cell.
  ;This gives an error: Invalid argument type dcl-Control-SetProperty, argument 0
  (dcl-Control-SetProperty cell "Text" "XYZ")
)

#12
Studio/Dialog Editor / option list tooltip
Last post by domenicomaria - April 05, 2024, 07:39:45 AM
Doesn't the "option list" control have
a tab pane for the tooltip?
#13
Runtime/AutoLISP / Re: Help keep OpenDCL moving f...
Last post by kenkrupa - April 04, 2024, 10:43:38 AM
Quote from: owenwengerd on March 21, 2023, 04:10:23 PMI gave up on PayPal, and never looked for an alternative. I hope whoever takes over the web site administration may be motivated to find an alternative solution.

I (and others) want to donate! Just need to know how.
#14
Runtime/AutoLISP / How to donate???
Last post by kenkrupa - April 04, 2024, 10:38:59 AM
I want to donate but can't find any way to do so!
Please provide a way!
#15
Runtime/AutoLISP / OpenDCL for 2025?
Last post by kenkrupa - April 01, 2024, 10:23:54 AM
Any expectations on date?
#16
Runtime/AutoLISP / Re: modal RESIZEABLE form WHIT...
Last post by domenicomaria - April 01, 2024, 03:50:50 AM
even with the version I downloaded today,
the same thing happens...
... there is always this white space at the top of the form,
if it is resizable...
#17
Runtime/AutoLISP / Re: Run command with enter key
Last post by owenwengerd - March 29, 2024, 06:54:40 PM
I suppose the error occurs because the sent string does not execute until after the modal dialog is closed. Try this, it might work better:
(c:FindMS/Form1/TextButton1#OnClicked)
#18
Runtime/AutoLISP / Run command with enter key
Last post by dsm_dude - March 27, 2024, 05:30:24 AM
I cant seem to figure out why the enter button gives me this error

Error: NIL value not allowed
Function: dcl-Control-GetText
Argument: 0

Below is my lisp:
(defun c:FINDMS (/ *error*)
  (command "OPENDCL")
  (dcl_Project_Load "FindMS" T)
  (dcl_Form_Show FindMS_Form1)
  (princ)
  )


;; Error Trap
  (defun *error* ( msg )
    (if (not (wcmatch (strcase msg t) "*break,*cancel*,*exit*"))
      (princ (strcat "\nError: " msg))
      );if
    (princ)
    );error


;; Start Dialog box
(defun c:FindMS/Form1#OnInitialize (/)
  (if (not MS#)
    (setq MS# "")
    );if
  (if (not uOpt)
    (setq uOpt 1)
    );if 
  (dcl-Control-SetText FindMS/Form1/TextBox1 MS#)
  (dcl-OptionList-SetCurSel FindMS/Form1/OptionList1 uOpt)
)


;; OK Button
(defun c:FindMS/Form1/TextButton1#OnClicked (/)
  (setq MS# (dcl-Control-GetText FindMS/Form1/TextBox1)
uOpt (dcl-OptionList-GetCurSel FindMS/Form1/OptionList1)
);setq
  (command "_UnisolateObjects")
  (if (tblsearch "Layer" MS#)
    (if (setq SS (ssget "_X" (list (cons 8 MS#))))
(command "Zoom" "_object" SS "")
(alert (strcat "No Objects assigned to " MS#))
);if
      (alert (strcat MS# " Not Found!"))
      );if
  (UserOption) ;; Option Button
  (princ)
  );defun


;; Cancel Button
(defun c:FindMS/Form1/TextButton2#OnClicked (/)
  (dcl_Form_Close FindMS_Form1)
)


;; Isloate Option
(defun UserOption (/)
  (cond
    ((= uOpt 0)(command "_IsolateObjects" "P" ""))
    ((= uOpt 1)(command "_UnisolateObjects"))
    );cond
  )


;; Run command with retrun key
(defun c:FindMS/Form1/TextBox1#OnReturnPressed (/)
  (dcl-sendstring "FindMS/Form1/TextButton1#OnClicked\r")
)


;; Keep dialog open when pressing return
(defun c:FindMS/Form1#OnCancelClose (Reason /)
  (/= intIsESC 1)
)
#19
Runtime/AutoLISP / Re: REMOVE ByLayer and ByBlo...
Last post by domenicomaria - March 21, 2024, 12:22:29 AM
Yes

I can remove byBlock and ByLayer

but when I choose "select color"

immediately after
byBlock and ByLayer
are automatically added to the list again
#20
Runtime/AutoLISP / Re: REMOVE ByLayer and ByBlo...
Last post by owenwengerd - March 19, 2024, 01:00:03 PM
The color combo is implemented by the host app, so its behavior is not necessarily controlled by OpenDCL. However, I just checked a color combo box with the Combo Box Lab sample, and there I am able to delete the ByBlock and ByLayer list items in both BricsCAD V24 and Acad 2024.